Subject: RE: [Megaco] Restriction on Modification Of Terminations

From: "Kevin Boyle" <[email-masked]>
Date: Tue, 15 Apr 2003 13:39:54 -0400

The argument can be made that the resources were previously seized via an
Add.  I will look back through some older IGs and see if I can find where
this came from...

Kevin

-----Original Message-----
From: Srinivasan Krishnamoorthy [mailto:[email-masked]] 
Sent: Tuesday, April 15, 2003 1:34 PM
To: Boyle, Kevin [NCRTP:3Z40:EXCH]
Cc: Taylor, Tom-PT [CAR:5N00:EXCH]; [email-masked]
Subject: RE: [Megaco] Restriction on Modification Of Terminations

Hi,

What happens in the case where a Handoff to a redundant MGC has happened,
but the contexts where originally created by a 
primary MGC.

So, shouldn't we actually allow Subtracts from the new MGC,
as well then?

Thanks,
-Srini

On Tue, 15 Apr 2003, Kevin Boyle wrote:

kboyle>Clearly this is an error, since, for example, the MG wouldn't 
kboyle>want a phone in a context just to detect off-hook.  Likewise, if 
kboyle>that set is currently in Null and looking for off-hook, then the 
kboyle>MGC may wish to stop looking for off-hook (for any of a number of 
kboyle>reasons) by Modifying the term with an empty Events descriptor.
kboyle>
kboyle>Any objections to striking the "/modify" portion of the sentence 
kboyle>via the IG?
kboyle>
kboyle>Kevin
kboyle>
kboyle>-----Original Message-----
kboyle>From: Taylor, Tom-PT [CAR:5N00:EXCH]
kboyle>Sent: Tuesday, April 15, 2003 11:02 AM
kboyle>To: [email-masked]
kboyle>Subject: [Megaco] Restriction on Modification Of Terminations
kboyle>
kboyle>
kboyle>I've just been proof-reading the replacement for RFC 3015 (i.e. 
kboyle>H.248.1 v1) prior to its release, and got a slight surprise.  At 
kboyle>the end of section 6.2.1 there is this
kboyle>sentence:
kboyle>
kboyle>"An MGC can only release/modify Terminations
kboyle>    and the resources that the Termination represents which it has
kboyle>    previously seized via, e.g., the Add command."
kboyle>
kboyle>It seems to me this precludes doing Modifies in the NULL context, 
kboyle>but I've seen various call flows that do just that.  Should we 
kboyle>feed this back to SG 16 as something that should be fixed up to 
kboyle>conform with practice?
kboyle>
kboyle>Tom Taylor
kboyle>
kboyle>_______________________________________________
kboyle>Megaco mailing list
kboyle>[email-masked] https://www1.ietf.org/mailman/listinfo/megaco
kboyle>_______________________________________________
kboyle>Megaco mailing list
kboyle>[email-masked]
kboyle>https://www1.ietf.org/mailman/listinfo/megaco
kboyle>

_______________________________________________
Megaco mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/megaco

---

From: Christian Groves <[email-masked]>
Date: Wed, 16 Apr 2003 10:19:12 +1000

G'Day Kevin,

The text has been there from way back when we determined H.248 version 1. It
seems noone has paid attention to it since then!!!

How about adding:
An MGC can only release/modify terminations and the resources that the
termination represents <<which are in the NULL context or>> which >>delete:it
has<< <<have been>> previously seized via, e.g., the Add command.

The removal of "it has" should cover the servicechange concern.

Regards, Christian

---

From: Christian Groves <[email-masked]>
Date: Wed, 16 Apr 2003 10:19:12 +1000

G'Day Kevin,

How about adding:

Regards, Christian

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 23 Apr 2003 21:15:10 +0300

Hi Kevin,

> Add.

Yes, but because of the handover the resources were not seized by the same
MGC. The text says that the MGC can release/modify termination resources IT
seized.

I think the important thing is that the release/modification can be done by
the MGC currently controlling those resources.

Regards,

Christer Holmberg
Ericsson Finland

>  I will look back through some older IGs and see if I can find where
> this came from...
>
> Kevin
>

---

From: Christer Holmberg <[email-masked]>
Date: Wed, 23 Apr 2003 21:15:10 +0300

Hi Kevin,

Regards,

Christer Holmberg
Ericsson Finland